Subject: Re: Activate netns

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 27 Mar 2014 17:02:36 +0100

Le 27/03/2014 15:51, Peter Fassberg a écrit :
>
> Hi!
>
> I have trouble to activate netns on OpenWrt with kernel 3.8.13.
>
> I get this:
>
> root@ROOter:~# ip netns show
> root@ROOter:~# ip netns add blue
> Failed to create a new network namespace "blue": Invalid argument
> root@ROOter:~# df
> Filesystem           1K-blocks      Used Available Use% Mounted on
> rootfs                   48377     10493     37884  22% /
> /dev/root                48377     10493     37884  22% /
> tmpfs                   257036      2264    254772   1% /tmp
> tmpfs                      512         0       512   0% /dev
> /dev/sda2                 4088      2266      1618  58% /mnt
> /dev/sda1                 4088      2266      1618  58% /mnt
> tmpfs                   257036      2264    254772   1% /tmp/run/netns
> root@ROOter:~# uname -a
> Linux ROOter 3.8.13 #2 Wed Mar 26 21:39:04 CET 2014 i686 GNU/Linux
> root@ROOter:~#
>
>
> Any hints on what I'm missing?
Trivial question: are you sure that CONFIG_NET_NS is set?

Regards,
Nicolas